Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.configuration
Class ObjectFactoryParser

    java.lang.Object
      org.jbpm.configuration.ObjectFactoryParser

All Implemented Interfaces:
  java.io.Serializable

    public class ObjectFactoryParser

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ObjectFactoryParser()`
`ObjectFactoryParser(java.util.Map mappings)`

Method Summary
`void` | `addMapping(java.lang.String elementName, java.lang.Class objectInfoClass)`
`void` | `addNamedObjectInfo(java.lang.String name, ObjectInfo objectInfo)`
`static ObjectFactoryImpl` | `createObjectFactory(org.w3c.dom.Element rootElement)`
`static java.util.Map` | `getDefaultMappings()`
`ObjectInfo` | `parse(org.w3c.dom.Element element)`
`void` | `parseElements(org.w3c.dom.Element element, ObjectFactoryImpl objectFactoryImpl)`
`void` | `parseElementsFromResource(java.lang.String resource, ObjectFactoryImpl objectFactoryImpl)`
`void` | `parseElementsStream(java.io.InputStream inputStream, ObjectFactoryImpl objectFactoryImpl)`
`static ObjectFactoryImpl` | `parseInputStream(java.io.InputStream xmlInputStream)`
`static ObjectFactoryImpl` | `parseResource(java.lang.String resource)`
`static ObjectFactoryImpl` | `parseXmlString(java.lang.String xml)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactoryParser

    public ObjectFactoryParser()

### ObjectFactoryParser

    public ObjectFactoryParser(java.util.Map mappings)

Method Detail

### getDefaultMappings

    public static java.util.Map getDefaultMappings()

### parseXmlString

    public static ObjectFactoryImpl parseXmlString(java.lang.String xml)

### parseInputStream

    public static ObjectFactoryImpl parseInputStream(java.io.InputStream xmlInputStream)

### parseResource

    public static ObjectFactoryImpl parseResource(java.lang.String resource)

### createObjectFactory

    public static ObjectFactoryImpl createObjectFactory(org.w3c.dom.Element rootElement)

### parseElementsFromResource

    public void parseElementsFromResource(java.lang.String resource,
                                          ObjectFactoryImpl objectFactoryImpl)

### parseElementsStream

    public void parseElementsStream(java.io.InputStream inputStream,
                                    ObjectFactoryImpl objectFactoryImpl)

### parseElements

    public void parseElements(org.w3c.dom.Element element,
                              ObjectFactoryImpl objectFactoryImpl)

### parse

    public ObjectInfo parse(org.w3c.dom.Element element)

### addNamedObjectInfo

    public void addNamedObjectInfo(java.lang.String name,
                                   ObjectInfo objectInfo)

### addMapping

    public void addMapping(java.lang.String elementName,
                           java.lang.Class objectInfoClass)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD